* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}
body{
 background-image: url("fondo2.jpeg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center center;
  padding: 10px;
  background-attachment: fixed;
  background-color: rgba(255, 255, 33, 0.527);
background-origin: padding-box;
background-position-x: 50%;
background-position-y: 50%;
box-sizing: border-box;
background-attachment: fixed;
}



.visitas {
    position: absolute;
    bottom: 10px;
    left: 10px;
}

.siguiente {
    text-decoration: none;
    color: #faea0a;
    background-color: black;
    padding: 10px 20px;
    border-radius: 10px;
}

.siguiente:hover {
    background-color: #faea0a;
    color: black;
    transform: scale (1.5);
}

body, html {
    min-height: 100dvh;
    width: 100%;
    overflow: hidden;
}

body
{
 display: flex;
 align-items: center;
 justify-content: center;
}

/* Estilos para el div2 */
#div2{
    color: white;
    text-decoration-color: black;
    justify-content: center;
    align-items: center;
    text-align: center;
    display: flex;
    flex-direction: column;
    padding: 10px;
    gap: 30px;
    &>p {
        font-size: 20px;
    }
}

.umg {
    width: 60px;
    position: absolute;
    top: 10px;
    left: 10px;
}

/* Estilos para el div1 */
#div1{
    color: black;
    background-color: rgba(236, 213, 9, 0.425);
    border: 4px solid rgb(226, 223, 223); 
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 10px;
    border-radius: 20px;
    
}

.nezuko {
    position: absolute;
    bottom: 0;
    right: 0;
    width: min(250px, 25vw);
    height: auto;
    animation: moverRL 12s linear infinite;
}

.sailor{

     width: 150px;
     position: absolute;
     top: 0;
     right: 0;
}
@keyframes moverRL {
  from {
    transform: translateX(100%);
  }
  to {
    transform: translateX(-100vw);
  }
}


div{
    width: 50%;
}

.sailor{
    max-width: 100%;
    height: auto;
}
.nezuko{
    max-width: 100%;
    height: auto;
}
.umg{
    max-width: 100%;
    height: auto;
}

#div1, #div2{
    max-width: 100%;
    height: auto;
}

#fondo2 {
    max-width: 300%;
    max-height: 400% ;
    height: auto;
}

.siguiente{
    max-width: 100%;
    height: auto;
}

@media (max-width: 600px) {
    body {
        flex-direction: column;
       
    }
    .nezuko {
        width: min(150px, 30vw);
        bottom: 0;
        right: 0;
    }
    img {
        flex-direction: column;
    }
    #div1 {
        width: 90%;
        align-items: start;
        padding: 15px;
        font-size: 10px;
    }
.sailor {
        width: 80px;
    }
    

 

}
